/*********************************************************************************************
*	Copyright (C) 2002 Robert Farrell
*
*	This program is free software; you can redistribute it and/or
*	modify it under the terms of the GNU General Public License
*	as published by the Free Software Foundation; either version 2
*	of the License, or (at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
*
*	See the GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program; if not, write to the Free Software
*	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
**********************************************************************************************/
#include "ps_property_set.hpp"

#include <iostream>

using std::exception;
using std::cout;
using std::endl;

int main ( void )
{
	try
	{
		cPropertySet p ( "test_read3.wri" );

		// add some stuff
		p.SetString ( "dragon lance", "authors", "tracy hickman" );
		p.SetString ( "dragon lance", "authors", "margaret weiss", 1 );
		p.SetChar ( "wee", "my char", 'A' );
		p.SetChar ( "wee", "my char", 'B', 1 );
		p.SetString ( "dragon lance characters", "wizard", "fizban" );
		p.SetString ( "one more key for good measure", "whizbang", "I am whizbang, hear me roar!" );

		p.config.SetFileName ( "test_write3.wri" );
	}
	catch ( exception &e )
	{
		cout << e.what () << endl;
	}

	return 0;
}

